---
title: Firefox user agent string reference
slug: Web/HTTP/Headers/User-Agent/Firefox
tags:
  - Compatibility
  - Firefox
  - Firefox 4
  - Gecko
  - Gecko 2.0
  - Guide
---
<div>{{HTTPSidebar}}</div>

<p>This document describes the user agent string used in Firefox 4 and later and applications based on <a href="/en-US/docs/Mozilla/Gecko">Gecko</a> 2.0 and later. For a breakdown of changes to the string in Gecko 2.0, see <a class="external" href="https://hacks.mozilla.org/2010/09/final-user-agent-string-for-firefox-4/">Final User Agent string for Firefox 4</a> (blog post). See also this document on <a href="/en-US/docs/Web/HTTP/Browser_detection_using_the_user_agent">user agent sniffing</a> and this <a href="https://hacks.mozilla.org/2013/09/user-agent-detection-history-and-checklist/">Hacks blog post</a>.</p>

<h2 id="General_form">General form</h2>

<p>The UA string of Firefox itself is broken down into four components:</p>

<p><code>Mozilla/5.0 (<var>platform</var>; rv:<var>geckoversion</var>) Gecko/<var>geckotrail</var> Firefox/<var>firefoxversion</var></code></p>

<ul>
 <li><code>Mozilla/5.0</code> is the general token that says the browser is Mozilla compatible, and is common to almost every browser today.</li>
 <li>
  <p><code><var>platform</var></code> describes the native platform the browser is running on (e.g. Windows, Mac, Linux or Android), and whether or not it's a mobile phone. Firefox OS phones say "<code>Mobile</code>"; the web is the platform. Note that <code><var>platform</var></code> can consist of multiple "; "-separated tokens. See below for further details and examples.</p>

  <div class="notecard note">
  <p>Though fixed in Firefox 69, previous 32-bit versions of Firefox running on 64-bit processors would report that the system is using a 32-bit CPU.</p>
  </div>
 </li>
 <li><code>rv:<var>geckoversion</var></code> indicates the release version of Gecko (such as "<code>17.0</code>"). In recent browsers, <code><var>geckoversion</var></code> is the same as <code><var>firefoxversion</var></code>.</li>
 <li><code>Gecko/<var>geckotrail</var></code> indicates that the browser is based on Gecko.</li>
 <li>On Desktop, <code><var>geckotrail</var></code> is the fixed string "<code>20100101</code>"</li>
 <li><code>Firefox/<var>firefoxversion</var></code> indicates the browser is Firefox, and provides the version (such as "<code>17.0</code>").</li>
 <li>{{ gecko_minversion_inline("10.0") }} from Firefox 10 on mobile, <code><var>geckotrail</var></code> is the same as <code><var>firefoxversion</var></code>.</li>
</ul>

<div class="note">The recommended way of sniffing for Gecko-based browsers (if you <em>have to</em> sniff for the browser engine instead of using feature detection) is by the presence of the "<code>Gecko</code>" and "<code>rv:</code>" strings, since some other browsers include a "<code>like Gecko</code>" token.</div>

<p>For other products based on Gecko, the string can take one of two forms, where the tokens have the same meaning except those noted below:</p>

<p><code>Mozilla/5.0 (<var>platform</var>; rv:<var>geckoversion</var>) Gecko/<var>geckotrail</var> <var>appname</var>/<var>appversion</var></code><br>
 <code>Mozilla/5.0 (<var>platform</var>; rv:<var>geckoversion</var>) Gecko/<var>geckotrail</var> Firefox/<var>firefoxversion</var> <var>appname</var>/<var>appversion</var></code></p>

<ul>
 <li><code><var>appname</var>/<var>appversion</var></code> indicates the application name and version. For instance, this could be "<code>Camino/2.1.1</code>", or "<code>SeaMonkey/2.7.1</code>".</li>
 <li>
  <p><code>Firefox/<var>firefoxversion</var></code> is an optional compatibility token that some Gecko-based browsers may choose to incorporate, to achieve maximum compatibility with websites that expect Firefox. <code><var>firefoxversion</var></code> will generally represent the equivalent Firefox release corresponding to the given Gecko version. Some Gecko-based browsers may not opt into using this token; for this reason, sniffers should be looking for Gecko — not Firefox! Whether this token appears is controlled by the <em>"general.useragent.compatMode.firefox"</em> boolean pref.</p>
 </li>
</ul>

<h2 id="Mobile_and_Tablet_indicators">Mobile and Tablet indicators</h2>

<div class="note">
<p>Only from Firefox 11 onwards.</p>
</div>

<p>The <code><var>platform</var></code> part of the UA string indicates if Firefox is running on a phone-sized or tablet device. When Firefox runs on a device that has the phone form factor, there is a <code>Mobile;</code> token in the <code><var>platform</var></code> part of the UA string. When Firefox runs on a tablet device, there is a <code>Tablet;</code> token in the <code><var>platform</var></code> part of the UA string instead. For example:</p>

<pre>Mozilla/5.0 (Android 4.4; <strong>Mobile</strong>; rv:41.0) Gecko/41.0 Firefox/41.0
Mozilla/5.0 (Android 4.4; <strong>Tablet</strong>; rv:41.0) Gecko/41.0 Firefox/41.0</pre>

<div class="note">The version numbers are not relevant. Avoid inferring materials based on these.</div>

<p>The preferred way to target content to a device form factor is to use CSS Media Queries. However, if you use UA sniffing to target content to a device form factor, please look for <strong>Mobi</strong> (to include Opera Mobile, which uses "Mobi") for the phone form factor and do <strong>not</strong> assume any correlation between "Android" and the device form factor. This way, your code will work if/when Firefox ships on other phone/tablet operating systems or Android is used for laptops. Also, please use touch detection to find touch devices rather than looking for "Mobi" or "Tablet", since there may be touch devices which are not tablets.</p>

<div class="note">Firefox OS devices identify themselves without any operating system indication; for example: "Mozilla/5.0 (Mobile; rv:15.0) Gecko/15.0 Firefox/15.0". The web is the platform.</div>

<h2 id="Windows">Windows</h2>

<p>Windows user agents have the following variations, where <em>x.y</em> is the Windows NT version (for instance, Windows NT 6.1).</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Windows version</th>
   <th scope="col">Gecko user agent string</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Windows NT on x86 CPU</td>
   <td>Mozilla/5.0 (Windows NT <em>x</em>.<em>y</em>; rv:10.0) Gecko/20100101 Firefox/10.0</td>
  </tr>
  <tr>
   <td>Windows NT on x64 CPU</td>
   <td>Mozilla/5.0 (Windows NT <em>x</em>.<em>y</em>; Win64; x64; rv:10.0) Gecko/20100101 Firefox/10.0</td>
  </tr>
 </tbody>
</table>

<h2 id="Macintosh">Macintosh</h2>

<p>Here, <em>x.y</em> is the version of Mac OS X (for instance, Mac OS X 10.6).</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Mac OS X version</th>
   <th scope="col">Gecko user agent string</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Mac OS X on Intel x86 or x86_64</td>
   <td>Mozilla/5.0 (Macintosh; Intel Mac OS X <em>x.y</em>; rv:10.0) Gecko/20100101 Firefox/10.0</td>
  </tr>
  <tr>
   <td>Mac OS X on PowerPC</td>
   <td>Mozilla/5.0 (Macintosh; PPC Mac OS X <em>x.y</em>; rv:10.0) Gecko/20100101 Firefox/10.0</td>
  </tr>
 </tbody>
</table>

<h2 id="Linux">Linux</h2>

<p>Linux is a more diverse platform. Your distribution of Linux might include an extension that changes your user-agent. A few common examples are given below.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Linux version</th>
   <th scope="col">Gecko user agent string</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Linux desktop on i686 CPU</td>
   <td>Mozilla/5.0 (X11; Linux i686; rv:10.0) Gecko/20100101 Firefox/10.0</td>
  </tr>
  <tr>
   <td>Linux desktop on x86_64 CPU</td>
   <td>Mozilla/5.0 (X11; Linux x86_64; rv:10.0) Gecko/20100101 Firefox/10.0</td>
  </tr>
  <tr>
   <td>Nokia N900 Linux mobile, on the Fennec browser</td>
   <td>Mozilla/5.0 (Maemo; Linux armv7l; rv:10.0) Gecko/20100101 Firefox/10.0 Fennec/10.0</td>
  </tr>
 </tbody>
</table>

<h2 id="Android_version_40_and_below">Android (version 40 and below)</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Form factor</th>
   <th scope="col">Gecko user agent string</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Phone</td>
   <td>Mozilla/5.0 (Android; Mobile; rv:40.0) Gecko/40.0 Firefox/40.0</td>
  </tr>
  <tr>
   <td>Tablet</td>
   <td>Mozilla/5.0 (Android; Tablet; rv:40.0) Gecko/40.0 Firefox/40.0</td>
  </tr>
  <tr>
  </tr>
 </tbody>
</table>

<h2 id="Android_version_41_and_above">Android (version 41 and above)</h2>

<p>Beginning in version 41, Firefox for Android will contain the Android version as part of the <var>platform</var> token. For increased interoperability, if the browser is running on a version below 4 it will report 4.4. Android versions 4 and above will report the version accurately. Note that the same Gecko—with the same capabilities—is shipped to all versions of Android.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Form factor</th>
   <th scope="col">Gecko user agent string</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Phone</td>
   <td>Mozilla/5.0 (Android 4.4; Mobile; rv:41.0) Gecko/41.0 Firefox/41.0</td>
  </tr>
  <tr>
   <td>Tablet</td>
   <td>Mozilla/5.0 (Android 4.4; Tablet; rv:41.0) Gecko/41.0 Firefox/41.0</td>
  </tr>
 </tbody>
</table>

<h2 id="Focus_for_Android">Focus for Android</h2>

<p>From version 1, Focus is powered by Android WebView and uses the following user agent string format:</p>

<pre>Mozilla/5.0 (Linux; &lt;Android Version&gt; &lt;Build Tag etc.&gt;) AppleWebKit/&lt;WebKit Rev&gt; (KHTML, like Gecko) Version/4.0 Focus/&lt;focusversion&gt; Chrome/&lt;Chrome Rev&gt; Mobile Safari/&lt;WebKit Rev&gt;</pre>

<p>Tablet versions on WebView mirror mobile, but do not contain a <code>Mobile</code> token.</p>

<p>Starting in Version 6, users can opt into using a GeckoView-based Focus for Android with a hidden preference: it uses a GeckoView UA string to advertise Gecko compatibility.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Focus Version (Rendering Engine)</th>
   <th scope="col">User Agent string</th>
  </tr>
  <tr>
   <td>1.0 (WebView Mobile)</td>
   <td>Mozilla/5.0 (Linux; Android 7.0) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Focus/1.0 Chrome/59.0.3029.83 Mobile Safari/537.36</td>
  </tr>
  <tr>
   <td>1.0 (WebView Tablet)</td>
   <td>Mozilla/5.0 (Linux; Android 7.0) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Focus/1.0 Chrome/59.0.3029.83 Safari/537.36</td>
  </tr>
  <tr>
   <td>6.0 (GeckoView)</td>
   <td>Mozilla/5.0 (Android 7.0; Mobile; rv:62.0) Gecko/62.0 Firefox/62.0</td>
  </tr>
 </tbody>
</table>

<h2 id="Klar_for_Android">Klar for Android</h2>

<p>Since version 4.1, Klar for Android uses the same UA string as <a href="#Focus_for_Android">Focus for Android</a>. Before version 4.1, it sent a <var>Klar/&lt;version&gt;</var> <var>product/version</var> token.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Klar Version (Rendering Engine)</th>
   <th scope="col">User Agent string</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>1.0 (WebView)</td>
   <td>Mozilla/5.0 (Linux; Android 7.0) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Klar/1.0 Chrome/58.0.3029.83 Mobile Safari/537.36</td>
  </tr>
  <tr>
   <td>4.1+ (WebView)</td>
   <td>Mozilla/5.0 (Linux; Android 7.0) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Focus/4.1 Chrome/62.0.3029.83 Mobile Safari/537.36</td>
  </tr>
  <tr>
   <td>6.0+ (GeckoView)</td>
   <td>Mozilla/5.0 (Android 7.0; Mobile; rv:62.0) Gecko/62.0 Firefox/62.0</td>
  </tr>
 </tbody>
</table>

<h2 id="Focus_for_iOS">Focus for iOS</h2>

<p>Version 7 of Focus for iOS uses a user agent string with the following format:</p>

<pre>Mozilla/5.0 (iPhone; CPU iPhone OS 12_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) FxiOS/7.0.4 Mobile/16B91 Safari/605.1.15</pre>

<p>Note: this user agent was retrieved from an iPhone XR simulator and may be different on device.</p>

<h2 id="Firefox_for_Fire_TV">Firefox for Fire TV</h2>

<p>Version 3 (and probably earlier) of Firefox for Fire TV use a user agent string with the following format:</p>

<pre>Mozilla/5.0 (Linux; &lt;Android version&gt;) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Focus/&lt;firefoxversion&gt; Chrome/&lt;Chrome Rev&gt; Safari/&lt;WebKit Rev&gt;</pre>

<table class="standard-table">
 <tbody>
  <tr>
   <td><strong>Firefox TV version</strong></td>
   <td><strong>User Agent string</strong></td>
  </tr>
  <tr>
   <td>v3.0</td>
   <td>Mozilla/5.0 (Linux; Android 7.1.2) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Focus/3.0 Chrome/59.0.3017.125 Safari/537.36</td>
  </tr>
 </tbody>
</table>

<h2 id="Firefox_for_Echo_Show">Firefox for Echo Show</h2>

<p>From version 1.1, Firefox for Echo Show uses a user agent string with the following format:</p>

<pre>Mozilla/5.0 (Linux; &lt;Android version&gt;) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Focus/&lt;firefoxversion&gt; Chrome/&lt;Chrome Rev&gt; Safari/&lt;WebKit Rev&gt;
</pre>

<table class="standard-table">
 <tbody>
  <tr>
   <td><strong>Firefox for Echo Show version</strong></td>
   <td><strong>User agent string</strong></td>
  </tr>
  <tr>
   <td>v1.1</td>
   <td>Mozilla/5.0 (Linux; Android 5.1.1) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Focus/1.1 Chrome/59.0.3017.125 Safari/537.36</td>
  </tr>
 </tbody>
</table>

<h2 id="Firefox_OS">Firefox OS</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Form factor</th>
   <th scope="col">Gecko user agent string</th>
  </tr>
  <tr>
   <td>Phone</td>
   <td>Mozilla/5.0 (Mobile; rv:26.0) Gecko/26.0 Firefox/26.0</td>
  </tr>
  <tr>
   <td>Tablet</td>
   <td>Mozilla/5.0 (Tablet; rv:26.0) Gecko/26.0 Firefox/26.0</td>
  </tr>
  <tr>
   <td>TV</td>
   <td>Mozilla/5.0 (TV; rv:44.0) Gecko/44.0 Firefox/44.0</td>
  </tr>
  <tr>
   <td>Device-specific</td>
   <td>Mozilla/5.0 (Mobile; <em><strong>nnnn;</strong></em> rv:26.0) Gecko/26.0 Firefox/26.0</td>
  </tr>
 </tbody>
</table>

<h3 id="Device-specific_user_agent_strings">Device-specific user agent strings</h3>

<p>Although it is <strong>strongly discouraged</strong> by Mozilla, some handset manufacturers unfortunately include a token in their device's UA string that represents their device id. If this is the case, the Firefox OS UA string will look like the device-specific string in the table above, where <em><strong>nnnn;</strong></em> is the manufacturer's code for the device (see <a href="https://wiki.mozilla.org/B2G/User_Agent/Device_Model_Inclusion_Requirements">Guidelines</a>). Some of them we have noticed are of the form "<strong>NexusOne;</strong>", "<strong>ZTEOpen;</strong>", or "<strong>Open C;</strong>" (note that putting space is also discouraged). We provide this information to assist with your UA detection logic, but Mozilla discourages the detection of a device id in UA strings.</p>

<p>Here is a JavaScript regular expression that will detect all mobile devices, including devices with a device id in their UA string:</p>

<pre>/mobi/i</pre>

<p>The <code>i</code> makes it case-insensitive, and <code>mobi</code> matches all mobile browsers.</p>

<h3 id="Firefox_OS_version_number">Firefox OS version number</h3>

<p>While the version number for Firefox OS is not included in the UA string, it is possible to infer version information from the Gecko version number present in the UA string.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Firefox OS version number</th>
   <th scope="col">Gecko version number</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>1.0.1</td>
   <td>18.0</td>
  </tr>
  <tr>
   <td>1.1</td>
   <td>18.1</td>
  </tr>
  <tr>
   <td>1.2</td>
   <td>26.0</td>
  </tr>
  <tr>
   <td>1.3</td>
   <td>28.0</td>
  </tr>
  <tr>
   <td>1.4</td>
   <td>30.0</td>
  </tr>
  <tr>
   <td>2.0</td>
   <td>32.0</td>
  </tr>
  <tr>
   <td>2.1</td>
   <td>34.0</td>
  </tr>
  <tr>
   <td>2.2</td>
   <td>37</td>
  </tr>
  <tr>
   <td>2.5</td>
   <td>44</td>
  </tr>
 </tbody>
</table>

<div class="note">
<p>It's easy to find the correspondences by looking at the <a href="https://hg.mozilla.org/releases">Mercurial repository names</a>: repositories starting by <code>mozilla-b2g</code> are the release repositories for Firefox OS, and have both Firefox OS and Gecko versions in their names.</p>
</div>

<p>Firefox OS has a four-digit version number: <samp>X.X.X.Y</samp>. The first two digits are owned by the Mozilla product team and denote versions with new features (eg: v1.1, 1.2, etc). The third digit is incremented with regular version tags (about every 6 weeks) for security updates, and the fourth is owned by the OEM.</p>

<h2 id="Firefox_for_iOS">Firefox for iOS</h2>

<p>Firefox for iOS uses the default Mobile Safari UA string, with an additional <strong>FxiOS/&lt;version&gt;</strong> token, similar to how <a href="https://developer.chrome.com/multidevice/user-agent#chrome_for_ios_user_agent">Chrome for iOS identifies itself</a>.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Form factor</th>
   <th scope="col">Firefox for iOS user agent string</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>iPod</td>
   <td>Mozilla/5.0 (iPod touch; CPU iPhone OS 8_3 like Mac OS X) AppleWebKit/600.1.4 (KHTML, like Gecko) <strong>FxiOS/1.0</strong> Mobile/12F69 Safari/600.1.4</td>
  </tr>
  <tr>
   <td>iPhone</td>
   <td>Mozilla/5.0 (iPhone; CPU iPhone OS 8_3 like Mac OS X) AppleWebKit/600.1.4 (KHTML, like Gecko) <strong>FxiOS/1.0</strong> Mobile/12F69 Safari/600.1.4</td>
  </tr>
  <tr>
   <td>iPad</td>
   <td>Mozilla/5.0 (iPad; CPU iPhone OS 8_3 like Mac OS X) AppleWebKit/600.1.4 (KHTML, like Gecko) <strong>FxiOS/1.0</strong> Mobile/12F69 Safari/600.1.4</td>
  </tr>
 </tbody>
</table>

<h2 id="Firefox_Web_Runtime">Firefox Web Runtime</h2>

<p>The Web Runtime uses the same user agent string as desktop Firefox.</p>

<h2 id="Other_Gecko-based_browsers">Other Gecko-based browsers</h2>

<p>These are some sample UA strings from other Gecko-based browsers on various platforms. Note that many of these have not yet been released on Gecko 2.0!</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Browser</th>
   <th scope="col">Gecko user agent string</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Firefox for Maemo (Nokia N900)</td>
   <td>Mozilla/5.0 (Maemo; Linux armv7l; rv:10.0.1) Gecko/20100101 Firefox/10.0.1 Fennec/10.0.1</td>
  </tr>
  <tr>
   <td>Camino on Mac</td>
   <td>Mozilla/5.0 (Macintosh; Intel Mac OS X 10.5; rv:2.0.1) Gecko/20100101 Firefox/4.0.1 Camino/2.2.1</td>
  </tr>
  <tr>
   <td>SeaMonkey on Windows</td>
   <td>Mozilla/5.0 (Windows NT 5.2; rv:10.0.1) Gecko/20100101 Firefox/10.0.1 SeaMonkey/2.7.1</td>
  </tr>
  <tr>
   <td>SeaMonkey on Mac</td>
   <td>Mozilla/5.0 (Macintosh; Intel Mac OS X 10.5; rv:10.0.1) Gecko/20100101 Firefox/10.0.1 SeaMonkey/2.7.1</td>
  </tr>
  <tr>
   <td>SeaMonkey on Linux</td>
   <td>Mozilla/5.0 (X11; Linux i686; rv:10.0.1) Gecko/20100101 Firefox/10.0.1 SeaMonkey/2.7.1</td>
  </tr>
 </tbody>
</table>

<h2 id="Implementation_notes_for_applications_vendors_and_extensions">Implementation notes for applications, vendors, and extensions</h2>

<p>Prior to Firefox 4 and Gecko 2.0, it was possible for extensions to add user agent parts through the <code>general.useragent.extra.<em>identifier</em></code> preferences, (see the <a href="/En/User_Agent_Strings_Reference">obsolete User Agent Strings Reference</a>). But that has not been possible since {{ Bug(581008) }}.</p>

<p>In the past, specific plug-ins, add-ons or extensions added user agent parts to notify sites they were installed. The recommended way to do this, if it's absolutely necessary (remember that it slows down every request) is to <a href="/en/Setting_HTTP_request_headers">set a custom HTTP header</a>.</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li><a href="http://lawrencemandel.com/2012/07/27/decision-made-firefox-os-user-agent-string/">Firefox OS User Agent String</a> (blog post w/<a href="https://bugzilla.mozilla.org/show_bug.cgi?id=777710">bug 777710</a> reference)</li>
 <li><a class="external" href="https://hacks.mozilla.org/2010/09/final-user-agent-string-for-firefox-4/">Final User Agent string for Firefox 4</a> (blog post)</li>
 <li>Recommendations on <a href="/en/Browser_Detection_and_Cross_Browser_Support" title="en/Browser_Detection_and_Cross_Browser_Support">sniffing the UA string for cross-browser support</a></li>
 <li><a href="../../../../en/DOM/window.navigator.userAgent" rel="internal">window.navigator.userAgent</a></li>
 <li><a href="https://bugzilla.mozilla.org/show_bug.cgi?id=1169772">Add Android version to Fennec UA String (bug 1169772)</a></li>
</ul>

<hr>
<p>Comments to <a class="link-news" href="news://news.mozilla.org/netscape.public.mozilla.netlib">mozilla.dev.platform</a></p>
